[needs-packaging] Sonic Visualiser

Reported by raguanu on 2008-02-27
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Ubuntu Studio
Wishlist
cmbryan
Debian
Fix Released
Unknown
Ubuntu
Wishlist
Rob van den Berg

Bug Description

http://www.sonicvisualiser.org/index.html
Sonic Visualiser is an application for viewing and analysing the contents of music audio files. license: GPL

32-bit linux binary available at download page: http://www.sonicvisualiser.org/download.html
Forum post reg. building for 64-bit: http://vamp-plugins.org/forum/index.php/topic,16.0.html

I would love to see a 64 bit build in ubuntu repositories.

Thanks a bunch.

Endolith (endolith) wrote :

Also maybe some of the vamp plugins should be packaged, since they can be used by Sonic Visualiser, Audacity, and Ardour?

Rob van den Berg (rghvdberg) wrote :

i've created a PPA for Sonic Visualiser , including some Vamp Plugins
ppa:rghvdberg/sv

Changed in ubuntu:
assignee: nobody → Rob van den Berg (rghvdberg)
status: Confirmed → In Progress
Georges Khaznadar (georgesk) wrote :

Hi, I just made a Debian package for sonic-visualiser, and it morks (for me),

the source package and the amd64 binaries are available at debian.ofset.org, more precisely in:

http://debian.ofset.org/pool/main/s/sonic-visualiser/
http://debian.ofset.org/pool/main/r/rubberband/
http://debian.ofset.org/pool/main/v/vamp-plugin-sdk/

There are still a few linitian warning, most noticeably missing manpages for a few commands.

Feedacks are welcome!

Georges Khaznadar (georgesk) wrote :

I can compile the same sources for i386 too. Just a little more time, if needed.

Gastón Avila (avila-gas) wrote :

When trying to install sonic visualizer into a fresh Ubuntu Lucid, the package liboggz1 was requested and
reported as unable to install.

The following packages have unmet dependencies:
  sonic-visualiser: Depends: liboggz1 (>= 0.9.9) but it is not installable
E: Broken packages

I found it in
https://launchpad.net/ubuntu/lucid/i386/liboggz1/0.9.9-4build1
and after installing it, it all was great, and sonic-visualizer runs perfectly. Hope this helps.
Thanks always

Hi Gastón

I'v build a new deb with updated packages but somehow my upload won't show
in the PPA.
I need to figure out what is wrong. Maybe I'll just erase the package and
upload a new one... quick and dirty.

btw liboggz1 is replaced by liboggz2 in the repo's, SV builds fine with that
on my local pc.

2010/5/4 Gastón Avila <email address hidden>

> When trying to install sonic visualizer into a fresh Ubuntu Lucid, the
> package liboggz1 was requested and
> reported as unable to install.
>
> The following packages have unmet dependencies:
> sonic-visualiser: Depends: liboggz1 (>= 0.9.9) but it is not installable
> E: Broken packages
>
> I found it in
> https://launchpad.net/ubuntu/lucid/i386/liboggz1/0.9.9-4build1
> and after installing it, it all was great, and sonic-visualizer runs
> perfectly. Hope this helps.
> Thanks always
>
> --
> [needs-packaging] Sonic Visualiser
> https://bugs.launchpad.net/bugs/196225
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Rob van den Berg (rghvdberg) wrote :

A new updated package should be available in an hour or so

2010/5/4 Rob van den Berg <email address hidden>

> Hi Gastón
>
> I'v build a new deb with updated packages but somehow my upload won't show
> in the PPA.
> I need to figure out what is wrong. Maybe I'll just erase the package and
> upload a new one... quick and dirty.
>
> btw liboggz1 is replaced by liboggz2 in the repo's, SV builds fine with
> that on my local pc.
>
> 2010/5/4 Gastón Avila <email address hidden>
>
> When trying to install sonic visualizer into a fresh Ubuntu Lucid, the
>> package liboggz1 was requested and
>> reported as unable to install.
>>
>> The following packages have unmet dependencies:
>> sonic-visualiser: Depends: liboggz1 (>= 0.9.9) but it is not installable
>> E: Broken packages
>>
>> I found it in
>> https://launchpad.net/ubuntu/lucid/i386/liboggz1/0.9.9-4build1
>> and after installing it, it all was great, and sonic-visualizer runs
>> perfectly. Hope this helps.
>> Thanks always
>>
>> --
>> [needs-packaging] Sonic Visualiser
>> https://bugs.launchpad.net/bugs/196225
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>

Changed in ubuntustudio:
importance: Undecided → Wishlist
Artem Popov (artfwo) wrote :

Has there been any progress yet?

There is only PPA for Maverick and Natty: https://launchpad.net/~tim-klingt/+archive/ppa

Petrus Yarus (c477823) wrote :

what's about 1.8 ?

Try to contact directly with PPA owner (Tim Blechmann) to request update: <email address hidden>

cmbryan (cmbryan) wrote :

Hi, I have made a working package from the latest source, and am just cleaning up some details. I'm filing an ITP for debian as recommended, but let me know if any MOTU would like to sponsor more quickly...

Changed in ubuntustudio:
assignee: nobody → cmbryan (cmbryan)
status: New → In Progress
DNS (dns) wrote :

For those who cant wait, you can get the latest version 1.9 here (for 10.04 - 12.04) > https://launchpad.net/~dns/+archive/sound/+packages?field.name_filter=sonic&field.status_filter=published&field.series_filter=
btw I added a menu entry:)

Changed in debian:
status: New → Fix Committed
Changed in debian:
status: Fix Committed → Fix Released
Julian Taylor (jtaylor) wrote :

fixed in raring

Changed in ubuntu:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.